Get project by ID
curl --request GET \
--url https://api.nomi.tools/v1/projects/{id} \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nomi.tools/v1/projects/{id}"
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Accept: '<accept>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.nomi.tools/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectCategoryId": "<string>",
"name": "<string>",
"notes": "<string>",
"hasPlan": true,
"planIncome": 123,
"planOutcome": 123,
"income": 123,
"outcome": 123,
"grossProfit": 123,
"profitability": 123,
"isArchived": true,
"planGrossProfit": 123,
"planProfitability": 123
}Projects
Get project by ID
Retrieve details of a specific project.
GET
/
v1
/
projects
/
{id}
Get project by ID
Authorizations
Use HTTP Basic Authentication. Provide your email as login and PPT token as the password.
Headers
Available options:
application/json Path Parameters
Response
Project details
Unique identifier for the project.
Identifier for the project category.
Name of the project.
Additional notes about the project.
Indicates if the project has a plan.
Planned income for the project.
Planned outcome for the project.
Actual income for the project.
Actual outcome for the project.
Actual gross profit for the project.
Actual profitability percentage.
Indicates if the project is archived.
Planned gross profit for the project.
Planned profitability percentage.